minput_save_config(3m17n)

NAME
minput_save_config - Save configurations in per-user customization file.

SYNOPSIS
int minput_save_config (void)

DESCRIPTION
Save configurations in per-user customization file.

The minput_save_config() function saves the configurations done so far in the current session into the per-user customization file.

RETURN VALUE

If the operation was successful, 1 is returned. If the per-user customization file is currently locked, 0 is returned. In that case, the caller may wait for a while and try again. If the configuration file is not writable, -1 is returned. In that case, the caller may check the name of the file by calling minput_config_file(), make it writable if possible, and try again.

SEE ALSO

    minput_config_file()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.